Description

| installed Deepin Desktop Environment recently on my GNU (Parabola) system using pacman ; downloaded packages came from
community repo.
| detected two nonfree (or linked to nonfree software) features in deepin-file-manager and deepin-terminal.

deepin-file-manager

e When | right-click on an empty zone in any window of the file manager, a menu appears, with a sub-menu called "New
document".
It contains: "Office Text Document", "Spreadsheet Document”, "Presentation Document" and "Plain Text Document”.
The three first entries generate a MS Office text document, a MS Excel speadsheet document and a MS PowerPoint
presentation document.

¢ |t should be replaced so it create ODT documents

deepin-terminal
e When | select any word, and then righ-click on it, a menu appears, with an entry called "Google", which launchs a Google's
search engine instance in my web browser.
¢ We can imagin another behaviour, similar to KDE's: the user can toggle some default search engines (duckduckgo, searx,
wikipedia, etc..) then applications refeer to it instead of one "mandatory" nonfree and malware search engine.

Thank you in advance for fixing it,

Best regards,
Félicien Pillot <felicien@gnu.org>

History

#1 - 2017-07-30 06:25 PM - isacdaavid

- Subject changed from Deepin: some components integrate nonfree services and file formats to [deepin]: some components integrate nonfree
services and file formats

felicien wrote:

deepin-file-manager:
[...] The three first entries generate a MS Office text document, a MS Excel speadsheet document and a MS PowerPoint presentation document.
It should be replaced so it create ODT documents

this has been discussed before (see #1217). as ludicrous as Microsoft has been with its Office formats in the past, their presence and use doesn't
violate any of our guiding principles. it wouldn't even mean the file manager is luring its users to use MS Office; specially when there's free software
that can deal with those formats. i suggest that you try to persuade the Deeping developers to favor ODF.

deepin-terminal:
When | select any word, and then righ-click on it, a menu appears, with an entry called "Google", which launchs a Google's search engine
instance in my web browser.

i see this is a real violation of the FSDG because Google is a javascript trap. privacy is of concern insofar as you realize that Parabola only tries to
optionally offer it when using the [nonprism] repo (and we don't do a very good job at keeping it up-to-date).

#2 - 2017-07-30 06:44 PM - felicien

isacdaavid wrote:

i see this is a real violation of the FSDG because Google is a javascript trap. privacy is of concern insofar as you realize that Parabola only tries
to optionally offer it when using the [nonprism] repo (and we don't do a very good job at keeping it up-to-date).
| don't reproch you anything, | know you are doing the best you can and | (we, users) really appreciate it. | report this, you handle it when you have
the time, eventually you explain me how to fix it myself.
Thank you again.

#3 - 2019-02-27 10:11 PM - bill-auger
- Status changed from open to unconfirmed

- Description updated
